#!/sbin/sh
dump_image boot /tmp/work/old_boot.img
/tmp/work/unpackbootimg /tmp/work/old_boot.img /tmp/work

#detect from out own package ebi0/ebi1
if [ -e /tmp/work/ebi1-zImage ] ; then
    kernel=/tmp/work/ebi1-zImage
    base=19200000
elif [ -e /tmp/work/2708-zImage ] ; then
    kernel=/tmp/work/2708-zImage
    base=02000000
else
    kernel=/tmp/work/ebi0-zImage
    base=10000000
fi

#build the kernel image
/tmp/work/mkbootimg --kernel $kernel \
                    --ramdisk /tmp/work/old_boot.img-ramdisk.gz \
                    --ramdisk /tmp/work/old_boot.img-ramdisk.gz \
                    --cmdline "`cat /tmp/work/old_boot.img-cmdline`" \
                    --base $base \
                    --output /tmp/work/boot.img
#flash it
flash_image boot /tmp/work/boot.img 

#cleanup ramdisk
rm /tmp/work/old_boot.img*
rm $kernel
rm /tmp/work/boot.img

#only copy rogers [G1] dream audio file on "trout" ie dream hardwate
board=`cat /proc/cpuinfo  | grep Hardware | awk '{print $3}'`
if [[ "$board" == "trout" ]] ; then
    #install rogers dream audio file
    cp /tmp/work/AudioPara_Rogers.csv /system/etc/AudioPara4.csv
    chmod 644 /system/etc/AudioPara4.csv
else
    #else copy magic audio file
    cp /tmp/work/AudioPara4.csv /system/etc/AudioPara4.csv
    chmod 644 /system/etc/AudioPara4.csv
fi
